<?php
// $Id: content_distribution_handler_argument_node_updated_since.inc,v 1.1.2.1 2010/02/08 21:21:42 joachim Exp $
/**
 * Mostly cribbed off views_handler_argument_node_created_fulldate 
 * in views_handler_argument_dates_various.inc.
 */
class content_distribution_handler_argument_node_updated_since extends views_handler_argument_date {
  /**
   * Constructor implementation
   */
  function construct() {
    parent::construct();
    $this->format = 'F j, Y';
    // The format to pass into the query: views_date_sql_format converts this 
    // to either SQL or PostGres speak.
    // For some reason 's' makes it all go wrong but we don't need it anyway.
    $this->arg_format = 'YmdHi';
    $this->formula = views_date_sql_format($this->arg_format, "***table***.$this->real_field");
  }

  /**
   * Provide a link to the next level of the view
   */
  function summary_name($data) {
    $created = $data->{$this->name_alias};
    return format_date(strtotime($created), 'custom', $this->format, 0);
  }

  /**
   * Provide a link to the next level of the view
   */
  function title() {
    return format_date(strtotime($this->argument), 'custom', $this->format, 0);
  }
  
  /**
   * Build the query based upon the formula.
   *
   * Our WHERE is >= rather than =.
   */
  function query() {
    $this->ensure_my_table();
    // Now that our table is secure, get our formula.
    $formula = $this->get_formula();

    $this->query->add_where(0, "$formula >= '%s'", $this->argument);
  }
}
